-- |
-- Module: Data.AttoBencode
-- Copyright: Florian Hartwig
-- License: BSD3
-- Maintainer: Florian Hartwig <florian.j.hartwig@gmail.com>
-- Stability: experimental
-- Portability: GHC
--
module Data.AttoBencode
    ( 
    -- * BEncode Types
      BValue(..)
    , Dict
    -- * Encoding and Decoding
    , decode
    , encode
    , FromBencode(..)
    , ToBencode(..)
    -- * Convencience Functions
    , (.:)
    , dict
    , (.=)
    ) where

import Data.AttoBencode.Types
import Data.AttoBencode.Parser (decode)
import Data.AttoBencode.Encode (encode)
